View Issue Details

IDProjectCategoryView StatusLast Update
0001121Common[All Projects] Generalpublic2016-04-08 21:18
ReporterXenosAssigned ToXenos 
PrioritylowSeveritymajorReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version1.2.1 
Summary0001121: Générer le sonar-project.properties à la volée pour le versionner
DescriptionJe suis obligé d'ignorer le fichier "sonar-project.properties" car il est modifié à chaque nouvelle version. Il faudrait donc le générer à la volée, l'ignorer dans Mercurial, et versionner un "sources/config/sonar-project.properties" qui me servirait de base.

Ainsi, j'aurai un versionning du projet pour Sonar (Dracca est assez velu niveau configuration) sans être coincé par le numéro de version qui change constamment.
TagsNo tags attached.
Attach Tags

Activities

Xenostom

Xenostom

2016-04-04 13:34

developer   ~0001681

A tester.
Le fichier "sonar-project.properties" serait donc généré à la volée et ignoré, à partir de sources/config/sonar-project.properties qui serait, lui, versionné

Issue History

Date Modified Username Field Change
2016-04-03 21:53 Xenos New Issue
2016-04-03 21:53 Xenos Status New => Accepted
2016-04-04 13:23 Xenostom Assigned To => Xenostom
2016-04-04 13:23 Xenostom Status Accepted => In progress
2016-04-04 13:34 Xenostom Note Added: 0001681
2016-04-04 13:34 Xenostom Status In progress => Ready
2016-04-04 13:34 Xenostom Resolution open => fixed
2016-04-08 21:08 AutoUpdater Assigned To Xenostom => Xenos
2016-04-08 21:08 AutoUpdater Status Ready => Resolved
2016-04-08 21:08 AutoUpdater Fixed in Version => 1.2.0
2016-04-08 21:17 AutoUpdater Fixed in Version 1.2.0 => 1.2.1
2016-04-08 21:18 Xenos Status Resolved => Close